Subject: Re: ppc little-endian port

From: Ralph Blach <[email-masked]>
Date: Mon, 30 Apr 2001 14:15:11 -0400

Dan Malek wrote:

> > Lots of PowerPC processors run in little-endian mode today.
>
Dan,

All 40x processor models support propper little endian. And the 4xx do
NOT get Alignment exceptions for
missaligned data.  So no performance penalty.  On the 4xx it is NOT
getting harder to use little endian,
Its as  easy as just setting the bits.

Chip

> Lots?  Maybe a few.  Since the first days of PowerPC I have only
> seen one ill-fated attempt.  Every time I'm part of a PPC silicon
> design discussion the question is always raised whether it is
> worth wasting silicon trying to support it.
>
> It's getting harder to use little endian on PowerPC.  The 7450 has
> only a big endian bus, with some weird lane swapping internally.
> Misaligned little endian accesses still cause processor exceptions,
> and the 7450 states it doesn't support it at all (some contradiction
> here), so you are always at a performance disadvantage when using
> it.  Besides, the bytes are all backward from the normal order of
> the world and you end up spending cycles swapping them, anyway :-).